## ros-one-moveit-opw-kinematics-plugin 0.4.0-4jammy.20251023.1538

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_opw_kinematics_plugin)

set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  eigen_conversions
  moveit_core
  roscpp
  pluginlib
)

set(MOVEIT_LIB_NAME moveit_opw_kinematics_plugin)

# System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS filesystem)

find_package(opw_kinematics REQUIRED)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  LIBRARIES ${MOVEIT_LIB_NAME}
  CATKIN_DEPENDS roscpp
)

###########
## Build ##
###########


## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

# Declare a C++ library
add_library(${MOVEIT_LIB_NAME}
  src/moveit_opw_kinematics_plugin.cpp
)

target_link_libraries(${MOVEIT_LIB_NAME}
  ${catkin_LIBRARIES}
  opw_kinematics::opw_kinematics
)

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(TARGETS ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  FILES
    moveit_opw_kinematics_plugin_description.xml
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION})

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(moveit_ros_planning REQUIRED)
  find_package(rostest REQUIRED)

  include_directories(test ${moveit_ros_planning_INCLUDE_DIRS})
  
  add_rostest_gtest(${PROJECT_NAME}_test_kuka
    test/test_kuka.rostest test/test_plugin.cpp
    test/test_kuka_specific.cpp
  )
  target_link_libraries(${PROJECT_NAME}_test_kuka
    gtest
    ${moveit_ros_planning_LIBRARIES}
    ${catkin_LIBRARIES}
    ${MOVEIT_LIB_NAME}
  )

  add_rostest_gtest(${PROJECT_NAME}_test_fanuc
    test/test_fanuc.rostest
    test/test_plugin.cpp
  )
  target_link_libraries(${PROJECT_NAME}_test_fanuc
    gtest
    ${moveit_ros_planning_LIBRARIES}
    ${catkin_LIBRARIES}
    ${MOVEIT_LIB_NAME}
  )

  add_rostest_gtest(${PROJECT_NAME}_test_fanuc_faulty
    test/test_fanuc_faulty_params.rostest
    test/test_faulty_params.cpp
  )
  target_link_libraries(${PROJECT_NAME}_test_fanuc_faulty
    gtest
    ${moveit_ros_planning_LIBRARIES}
    ${catkin_LIBRARIES}
    ${MOVEIT_LIB_NAME}
  )

  add_rostest_gtest(${PROJECT_NAME}_test_kuka_faulty
    test/test_kuka_faulty_params.rostest
    test/test_faulty_params.cpp
  )
  target_link_libraries(${PROJECT_NAME}_test_kuka_faulty
    gtest
    ${moveit_ros_planning_LIBRARIES}
    ${catkin_LIBRARIES}
    ${MOVEIT_LIB_NAME}
  )
endif()

=== debian/changelog ===
ros-one-moveit-opw-kinematics-plugin (0.4.0-4jammy.20251023.1538) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jeroen De Maeyer <lousymessenger@gmail.com>  Thu, 23 Oct 2025 15:38:45 +0000

ros-one-moveit-opw-kinematics-plugin (0.4.0-0jammy) jammy; urgency=high

  * Update status badge noetic-devel (default) branch
  * Run melodic ci job on ubuntu 18.04
  * Sync melodic changes to noetic
    - fix bug introduced when cherry-picking commits
    - minor formatting improvement
    - replace logstring with variable LOGNAME
    - print out odd posture used in self-test on error
    - Print all deviations and check zero pose as well
  * Update Jeroen's email address
  * Add github actions
    - Add roscpp as CATKIN_DEPENDS
    - Use the .ci.rosinstall to install dependencies
    - Move rosinstall for testing to typical place for industrial-ci
    - Update ci badges to GHA
    - Remove travis
  * Contributors: JeroenDM, Simon Schmeisser

 -- Jeroen De Maeyer <lousymessenger@gmail.com>  Wed, 05 Jan 2022 00:00:00 -0000

ros-one-moveit-opw-kinematics-plugin (0.3.1-0jammy) jammy; urgency=high

  * First release in noetic.
  * update to new opw_kinematics API (with std::array)
  * Add opw_kinematics dependency to package.xml and CMakeLists.txt.
  * Remove opw_kinematics submodule.
  * Change moveit_resources to more specific moveit_resources_fanuc_moveit_config
  * Minor changes:
    - It's not a service based IK solver.
    - Parameters don't always come from 'kinematics.yaml'.
  * Contributors: JeroenDM, gavanderhoorn.

 -- Jeroen De Maeyer <lousymessenger@gmail.com>  Wed, 22 Sep 2021 00:00:00 -0000

ros-one-moveit-opw-kinematics-plugin (0.2.1-0jammy) jammy; urgency=high

  * First release in melodic.

 -- Jeroen De Maeyer <lousymessenger@gmail.com>  Wed, 13 May 2020 00:00:00 -0000

ros-one-moveit-opw-kinematics-plugin (0.1.1-0jammy) jammy; urgency=high

  * First release in kinetic.

 -- Jeroen De Maeyer <lousymessenger@gmail.com>  Wed, 13 May 2020 00:00:00 -0000

=== debian/control ===
Source: ros-one-moveit-opw-kinematics-plugin
Section: misc
Priority: optional
Maintainer: Jeroen De Maeyer <lousymessenger@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-eigen-conversions, ros-one-moveit-core, ros-one-opw-kinematics, ros-one-pluginlib, ros-one-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-moveit-opw-kinematics-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-moveit-core, ros-one-pluginlib, ros-one-roscpp
Description: MoveIt kinematics plugin for industrial robots.
 This plugin uses an analytical inverse kinematic library, opw_kinematics, to calculate the inverse kinematics for industrial robots with 6 degrees of freedom, two parallel joints, and a spherical wrist.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-opw-kinematics-plugin//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-moveit-opw-kinematics-plugin 0.4.0-4jammy.20251208.0838

=== debian/changelog ===
ros-one-moveit-opw-kinematics-plugin (0.4.0-4jammy.20251208.0838) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jeroen De Maeyer <lousymessenger@gmail.com>  Mon, 08 Dec 2025 08:38:51 +0000

## ros-one-moveit-opw-kinematics-plugin 0.4.0-4jammy.20260128.2204

=== debian/changelog ===
ros-one-moveit-opw-kinematics-plugin (0.4.0-4jammy.20260128.2204) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jeroen De Maeyer <lousymessenger@gmail.com>  Wed, 28 Jan 2026 22:04:14 +0000

## ros-one-moveit-opw-kinematics-plugin 0.4.0-4jammy.20260301.2154

=== debian/changelog ===
ros-one-moveit-opw-kinematics-plugin (0.4.0-4jammy.20260301.2154) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jeroen De Maeyer <lousymessenger@gmail.com>  Sun, 01 Mar 2026 21:54:51 +0000

## ros-one-moveit-opw-kinematics-plugin 0.4.0-4noble.20251023.1613

=== debian/changelog ===
ros-one-moveit-opw-kinematics-plugin (0.4.0-4noble.20251023.1613) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jeroen De Maeyer <lousymessenger@gmail.com>  Thu, 23 Oct 2025 16:13:43 +0000

ros-one-moveit-opw-kinematics-plugin (0.4.0-0noble) noble; urgency=high

  * Update status badge noetic-devel (default) branch
  * Run melodic ci job on ubuntu 18.04
  * Sync melodic changes to noetic
    - fix bug introduced when cherry-picking commits
    - minor formatting improvement
    - replace logstring with variable LOGNAME
    - print out odd posture used in self-test on error
    - Print all deviations and check zero pose as well
  * Update Jeroen's email address
  * Add github actions
    - Add roscpp as CATKIN_DEPENDS
    - Use the .ci.rosinstall to install dependencies
    - Move rosinstall for testing to typical place for industrial-ci
    - Update ci badges to GHA
    - Remove travis
  * Contributors: JeroenDM, Simon Schmeisser

 -- Jeroen De Maeyer <lousymessenger@gmail.com>  Wed, 05 Jan 2022 00:00:00 -0000

ros-one-moveit-opw-kinematics-plugin (0.3.1-0noble) noble; urgency=high

  * First release in noetic.
  * update to new opw_kinematics API (with std::array)
  * Add opw_kinematics dependency to package.xml and CMakeLists.txt.
  * Remove opw_kinematics submodule.
  * Change moveit_resources to more specific moveit_resources_fanuc_moveit_config
  * Minor changes:
    - It's not a service based IK solver.
    - Parameters don't always come from 'kinematics.yaml'.
  * Contributors: JeroenDM, gavanderhoorn.

 -- Jeroen De Maeyer <lousymessenger@gmail.com>  Wed, 22 Sep 2021 00:00:00 -0000

ros-one-moveit-opw-kinematics-plugin (0.2.1-0noble) noble; urgency=high

  * First release in melodic.

 -- Jeroen De Maeyer <lousymessenger@gmail.com>  Wed, 13 May 2020 00:00:00 -0000

ros-one-moveit-opw-kinematics-plugin (0.1.1-0noble) noble; urgency=high

  * First release in kinetic.

 -- Jeroen De Maeyer <lousymessenger@gmail.com>  Wed, 13 May 2020 00:00:00 -0000

## ros-one-moveit-opw-kinematics-plugin 0.4.0-4noble.20251208.1512

=== debian/changelog ===
ros-one-moveit-opw-kinematics-plugin (0.4.0-4noble.20251208.1512) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jeroen De Maeyer <lousymessenger@gmail.com>  Mon, 08 Dec 2025 15:12:27 +0000

## ros-one-moveit-opw-kinematics-plugin 0.4.0-4noble.20260128.2212

=== debian/changelog ===
ros-one-moveit-opw-kinematics-plugin (0.4.0-4noble.20260128.2212) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jeroen De Maeyer <lousymessenger@gmail.com>  Wed, 28 Jan 2026 22:12:45 +0000

## ros-one-moveit-opw-kinematics-plugin 0.4.0-4noble.20260301.2149

=== debian/changelog ===
ros-one-moveit-opw-kinematics-plugin (0.4.0-4noble.20260301.2149) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jeroen De Maeyer <lousymessenger@gmail.com>  Sun, 01 Mar 2026 21:49:26 +0000
